{{ define "main" }}

<main>
  {{ .Content }}

  <div id='teasers'>
    <div id='projects'>
      <h4>Current projects</h4>
      {{ range (where .Site.RegularPages "Type" "projects") }}
        <p><a href='{{ .Permalink }}'>{{ .Title }}</a>. {{ .Description }}</p>
      {{ end }}
      <p><a href='{{ relURL "projects/" }}'>All projects...</a></p>
    </div>
    <div id='logs'>
      <h4>Recent logs</h4>
      {{ range first 5 (where .Site.RegularPages "Type" "log") }}
        <p><a href='{{ .Permalink }}'>{{ .Title }}</a> ({{ delimit .Params.Authors ", " }}).  {{ .Description }}</p>
      {{ end }}
      <p><a href='{{ relURL "log/" }}'>More logs...</a></p>
    </div>
    <div id='docs'>
      <h4>Recent docs</h4>
      {{ range first 5 (where .Site.RegularPages "Type" "docs") }}
        <p><a href='{{ .Permalink }}'>{{ .Title }}</a>.  {{ .Description }}</p>
      {{ end }}
      <p><a href='{{ relURL "docs/" }}'>More docs...</a></p>
    </div>
  </div>

</main>

{{ end }}
